VERSION 5.00
Object = "{27395F88-0C0C-101B-A3C9-08002B2F49FB}#1.1#0"; "PICCLP32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6360
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8145
   LinkTopic       =   "Form1"
   ScaleHeight     =   6360
   ScaleWidth      =   8145
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox pctBox 
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      Height          =   735
      Left            =   120
      ScaleHeight     =   735
      ScaleWidth      =   2175
      TabIndex        =   0
      Top             =   120
      Width           =   2175
   End
   Begin VB.Timer tmrSwitch 
      Interval        =   1000
      Left            =   5400
      Top             =   600
   End
   Begin PicClip.PictureClip clpPicture 
      Left            =   360
      Top             =   1320
      _ExtentX        =   10160
      _ExtentY        =   6350
      _Version        =   393216
      Rows            =   2
      Cols            =   3
      Picture         =   "frmClipTutorial.frx":0000
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Dave Miller's PictureClip Tutorial
'
' (1) First things first, add the Picture Clip component to your toolbar to the left.
'     To do this, select Project -> Components from the menubar above, then scroll
'     down to "Microsoft Picture Clip Control 6.0 (SP3)", or whatever the equivalent
'     is on your copy of VB. Click the checkbox to its side to add it, and then
'     close the window
' (2) Add a PictureClip to your form. I called mine clpPicture. From the properties
'     toolbox to the right, click on "Custom," and then the little button captioned
'     "..." that appears in the row. A window with two tabs should pop up.
' (3) Under the "General Properties" tab, enter the appropriate # of rows and columns
'     that contain image data that you want to show. The (oh-so good looking) image I
'     used has two rows and 3 columns. Note that the size of each cell in the image
'     must be the same size for this to work properly. Then click on the "Picture"
'     tab and select whatever picture you want to show on your form.
' (4) Run the project. What do you see? Nothing? You'll need some place to show the
'     image cells contained in the Picture Clip. Add a PictureBox to the form (this
'     should already be on your toolbar). I called mine pctBox, and set the "BorderStyle"
'     property to "0 - None" and the "AutoSize" property to "True." In addition, add a
'     timer to the form that will determine when the image in the picture box will
'     be updated. I called mine tmrSwitch and set its interval to 1000 milliseconds.
' (5) Again, if you run the project, nothing will be visible on the form. You still need
'     to tell the PictureBox what to show. This can be done by calling the
'     "GraphicCell(arg As Integer)" function of the PictureClip. The "arg" value should
'     be between 0 and n-1, where n is the number of cells in your image. Note that the
'     0th cell is in the upperleft corner of the image, and the n-1th cell is in the
'     bottomright corner of the image.
' (6) By putting the proper code into the Timer() event, you can scroll through the cells
'     in the PictureClip.

Option Explicit
Dim counter As Integer ' which image cell we want to load into the PictureBox

Private Sub Form_Load()
    ' set initial value for image cell
    counter = 0
    ' load the initial image into the PictureBox
    pctBox.Picture = clpPicture.GraphicCell(counter)
End Sub

Private Sub tmrSwitch_Timer()
    ' increment the counter, and check to see if it's out of range
    ' if you try to access the nth
    counter = counter + 1
    If (counter > 5) Then
        counter = 0
    End If
    ' update the image in the PictureBox
    pctBox.Picture = clpPicture.GraphicCell(counter)
End Sub
